aboutsummaryrefslogtreecommitdiff
path: root/board/freescale/imx53loco/post-image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'board/freescale/imx53loco/post-image.sh')
-rw-r--r--board/freescale/imx53loco/post-image.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/board/freescale/imx53loco/post-image.sh b/board/freescale/imx53loco/post-image.sh
new file mode 100644
index 0000000000..87573557ca
--- /dev/null
+++ b/board/freescale/imx53loco/post-image.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+BOARD_DIR="$(dirname $0)"
+GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage \
+ --rootpath "${TARGET_DIR}" \
+ --tmppath "${GENIMAGE_TMP}" \
+ --inputpath "${BINARIES_DIR}" \
+ --outputpath "${BINARIES_DIR}" \
+ --config "${GENIMAGE_CFG}"
+
+exit $?